{% extends "index_auth.html" %}

{% block base_auth %}
	<div class="user-login">
		<div class="user-login__header">
			<h2>Регистрация</h2>
		</div>
        <div class="fieldset__item">
		  <div class="msg ta_center p_s">
            <p>У вас уже есть учетная запись? Тогда пожалуйста <a href="{{ login_url }}">войдите</a>.</p>
		  </div>
        </div>
		<div class="user-login__body">
			<form class="user-login__form" id="signup_form" method="post" action="{% url 'account_signup' %}">{% csrf_token %}
				<div class="fieldset fieldset_login">
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Фамилия</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.last_name.name }}" value="{{ form.last_name.value|default:''}}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Имя</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.first_name.name }}" value="{{ form.first_name.value|default:''}}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Отчество</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.patronymic.name }}" value="{{ form.patronymic.value|default:''}}">
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Адрес электронной почты</label>
							<div class="field__control control control_default control_m control_center">
								<input type="email" name="{{ form.email.name }}" value="{{ form.email.value|default:''}}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Телефон</label>
							<div class="field__control control control_default control_m control_center">
								<input id="id_phone" type="tel" name="{{ form.phone.name }}" value="{{ form.phone.value|default:'' }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Пароль</label>
							<div class="field__control control control_default control_m control_center">
								<input type="password" name="{{ form.password1.name }}"  value="{{ form.password1.value|default:'' }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Подтверждение пароля</label>
							<div class="field__control control control_default control_m control_center">
								<input type="password" name="{{ form.password2.name }}"  value="{{ form.password2.value|default:'' }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<label class="check check_m check_default">
							<input required="" type="checkbox">
							<div class="check__icon"></div>
							<div class="check__content">
							<div class="check__title fs_xs">Даю согласие на обработку персональных данных.</div>
							</div>
						</label>
					</div>
						
					<div class="fieldset__item">
						<button class="form__btn btn btn_primary btn_m btn_block">
							<div class="btn__grid">
								<div class="btn__title">Зарегистрироваться</div>
							</div>
						</button>
					</div>
					{% if form.errors %}
					<div class="fieldset__item">
						<div class="msg msg_error ta_center p_s">
							{% for field in form %}
							  <div class="fs_s">{{ field.errors }}</div>
							{% endfor %}
						</div>
					</div>
					{% endif %}
                    <div class="fieldset__item">
                  <div class="user-login__links"><a class="link link_default" href="/">авторизоваться</a></div>
                </div>
				</div>
			</form>
		</div>
	</div>
{% endblock base_auth %}